<?php
/*
	Plugin Name: mobile.de Fancy & Flex
	Version: 1.0
	Description: Fancybox & Flexslider für das mobile.de Wordpress Plugin
	Author: neusued GmbH
	Author URI: http://neusued.de/
*/


// Register Script
function neusued_fancy() {
	wp_register_script( 'fancybox', plugin_dir_url(__FILE__) . '/fancybox/jquery.fancybox.pack.js', array( 'jquery' ), '2.1.5', true );
	wp_register_script( 'fancybox-start', plugin_dir_url(__FILE__) . '/neusued.js', array( 'jquery' ), '1.0', true );
    wp_register_script( 'flexslider', plugin_dir_url(__FILE__) . '/flexslider/jquery.flexslider-min.js', array( 'jquery' ), '2.1.5', true );
	wp_enqueue_script( 'fancybox' );
	wp_enqueue_script( 'fancybox-start' );
    wp_enqueue_script( 'flexslider');

    }
add_action( 'wp_enqueue_scripts', 'neusued_fancy' );

// Register Style
function neusued_styles() {

	wp_register_style( 'fancy_css', plugin_dir_url(__FILE__) . '/fancybox/jquery.fancybox.css', false, '2.1.5', 'screen' );
    wp_register_style( 'flex_css', plugin_dir_url(__FILE__) . '/flexslider/flexslider.css', false, '1.09', 'screen' );
	wp_enqueue_style( 'fancy_css' );
    wp_enqueue_style( 'flex_css' );

}
add_action( 'wp_enqueue_scripts', 'neusued_styles' );


